package com.mortals.xhx.module.company.model;

import java.util.List;
import com.mortals.xhx.module.company.model.CompanyPatentEntity;
/**
 * 公司专利查询对象
 *
 * @author zxfei
 * @date 2023-09-19
 */
public class CompanyPatentQuery extends CompanyPatentEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 公司Id */
    private Long companyIdStart;

    /** 结束 公司Id */
    private Long companyIdEnd;

    /** 增加 公司Id */
    private Long companyIdIncrement;

    /** 公司Id列表 */
    private List <Long> companyIdList;

    /** 公司Id排除列表 */
    private List <Long> companyIdNotList;

    /** 知识产权类型 */
    private List<String> intellectPropertyTypeList;

    /** 知识产权类型排除列表 */
    private List <String> intellectPropertyTypeNotList;
    /** 开始 知识产权数量 */
    private Integer intellectPropertyNumStart;

    /** 结束 知识产权数量 */
    private Integer intellectPropertyNumEnd;

    /** 增加 知识产权数量 */
    private Integer intellectPropertyNumIncrement;

    /** 知识产权数量列表 */
    private List <Integer> intellectPropertyNumList;

    /** 知识产权数量排除列表 */
    private List <Integer> intellectPropertyNumNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 公司名称 */
    private List<String> companyNameList;

    /** 公司名称排除列表 */
    private List <String> companyNameNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CompanyPatentQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CompanyPatentQuery> andConditionList;

    public CompanyPatentQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 公司Id
     * @return companyIdStart
     */
    public Long getCompanyIdStart(){
        return this.companyIdStart;
    }

    /**
     * 设置 开始 公司Id
     * @param companyIdStart
     */
    public void setCompanyIdStart(Long companyIdStart){
        this.companyIdStart = companyIdStart;
    }

    /**
     * 获取 结束 公司Id
     * @return $companyIdEnd
     */
    public Long getCompanyIdEnd(){
        return this.companyIdEnd;
    }

    /**
     * 设置 结束 公司Id
     * @param companyIdEnd
     */
    public void setCompanyIdEnd(Long companyIdEnd){
        this.companyIdEnd = companyIdEnd;
    }

    /**
     * 获取 增加 公司Id
     * @return companyIdIncrement
     */
    public Long getCompanyIdIncrement(){
        return this.companyIdIncrement;
    }

    /**
     * 设置 增加 公司Id
     * @param companyIdIncrement
     */
    public void setCompanyIdIncrement(Long companyIdIncrement){
        this.companyIdIncrement = companyIdIncrement;
    }

    /**
     * 获取 公司Id
     * @return companyIdList
     */
    public List<Long> getCompanyIdList(){
        return this.companyIdList;
    }

    /**
     * 设置 公司Id
     * @param companyIdList
     */
    public void setCompanyIdList(List<Long> companyIdList){
        this.companyIdList = companyIdList;
    }

    /**
     * 获取 公司Id
     * @return companyIdNotList
     */
    public List<Long> getCompanyIdNotList(){
        return this.companyIdNotList;
    }

    /**
     * 设置 公司Id
     * @param companyIdNotList
     */
    public void setCompanyIdNotList(List<Long> companyIdNotList){
        this.companyIdNotList = companyIdNotList;
    }


    /**
     * 获取 知识产权类型
     * @return intellectPropertyTypeList
     */
    public List<String> getIntellectPropertyTypeList(){
        return this.intellectPropertyTypeList;
    }

    /**
     * 设置 知识产权类型
     * @param intellectPropertyTypeList
     */
    public void setIntellectPropertyTypeList(List<String> intellectPropertyTypeList){
        this.intellectPropertyTypeList = intellectPropertyTypeList;
    }

    /**
     * 获取 知识产权类型
     * @return intellectPropertyTypeNotList
     */
    public List<String> getIntellectPropertyTypeNotList(){
        return this.intellectPropertyTypeNotList;
    }

    /**
     * 设置 知识产权类型
     * @param intellectPropertyTypeNotList
     */
    public void setIntellectPropertyTypeNotList(List<String> intellectPropertyTypeNotList){
        this.intellectPropertyTypeNotList = intellectPropertyTypeNotList;
    }

    /**
     * 获取 开始 知识产权数量
     * @return intellectPropertyNumStart
     */
    public Integer getIntellectPropertyNumStart(){
        return this.intellectPropertyNumStart;
    }

    /**
     * 设置 开始 知识产权数量
     * @param intellectPropertyNumStart
     */
    public void setIntellectPropertyNumStart(Integer intellectPropertyNumStart){
        this.intellectPropertyNumStart = intellectPropertyNumStart;
    }

    /**
     * 获取 结束 知识产权数量
     * @return $intellectPropertyNumEnd
     */
    public Integer getIntellectPropertyNumEnd(){
        return this.intellectPropertyNumEnd;
    }

    /**
     * 设置 结束 知识产权数量
     * @param intellectPropertyNumEnd
     */
    public void setIntellectPropertyNumEnd(Integer intellectPropertyNumEnd){
        this.intellectPropertyNumEnd = intellectPropertyNumEnd;
    }

    /**
     * 获取 增加 知识产权数量
     * @return intellectPropertyNumIncrement
     */
    public Integer getIntellectPropertyNumIncrement(){
        return this.intellectPropertyNumIncrement;
    }

    /**
     * 设置 增加 知识产权数量
     * @param intellectPropertyNumIncrement
     */
    public void setIntellectPropertyNumIncrement(Integer intellectPropertyNumIncrement){
        this.intellectPropertyNumIncrement = intellectPropertyNumIncrement;
    }

    /**
     * 获取 知识产权数量
     * @return intellectPropertyNumList
     */
    public List<Integer> getIntellectPropertyNumList(){
        return this.intellectPropertyNumList;
    }

    /**
     * 设置 知识产权数量
     * @param intellectPropertyNumList
     */
    public void setIntellectPropertyNumList(List<Integer> intellectPropertyNumList){
        this.intellectPropertyNumList = intellectPropertyNumList;
    }

    /**
     * 获取 知识产权数量
     * @return intellectPropertyNumNotList
     */
    public List<Integer> getIntellectPropertyNumNotList(){
        return this.intellectPropertyNumNotList;
    }

    /**
     * 设置 知识产权数量
     * @param intellectPropertyNumNotList
     */
    public void setIntellectPropertyNumNotList(List<Integer> intellectPropertyNumNotList){
        this.intellectPropertyNumNotList = intellectPropertyNumNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 公司名称
     * @return companyNameList
     */
    public List<String> getCompanyNameList(){
        return this.companyNameList;
    }

    /**
     * 设置 公司名称
     * @param companyNameList
     */
    public void setCompanyNameList(List<String> companyNameList){
        this.companyNameList = companyNameList;
    }

    /**
     * 获取 公司名称
     * @return companyNameNotList
     */
    public List<String> getCompanyNameNotList(){
        return this.companyNameNotList;
    }

    /**
     * 设置 公司名称
     * @param companyNameNotList
     */
    public void setCompanyNameNotList(List<String> companyNameNotList){
        this.companyNameNotList = companyNameNotList;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public CompanyPatentQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public CompanyPatentQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public CompanyPatentQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public CompanyPatentQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public CompanyPatentQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public CompanyPatentQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  公司Id
     * @param companyId
     */
    public CompanyPatentQuery companyId(Long companyId){
        setCompanyId(companyId);
        return this;
    }

    /**
     * 设置 开始 公司Id
     * @param companyIdStart
     */
    public CompanyPatentQuery companyIdStart(Long companyIdStart){
        this.companyIdStart = companyIdStart;
        return this;
    }

    /**
     * 设置 结束 公司Id
     * @param companyIdEnd
     */
    public CompanyPatentQuery companyIdEnd(Long companyIdEnd){
        this.companyIdEnd = companyIdEnd;
        return this;
    }

    /**
     * 设置 增加 公司Id
     * @param companyIdIncrement
     */
    public CompanyPatentQuery companyIdIncrement(Long companyIdIncrement){
        this.companyIdIncrement = companyIdIncrement;
        return this;
    }

    /**
     * 设置 公司Id
     * @param companyIdList
     */
    public CompanyPatentQuery companyIdList(List<Long> companyIdList){
        this.companyIdList = companyIdList;
        return this;
    }

    /**
     * 设置 公司Id
     * @param companyIdNotList
     */
    public CompanyPatentQuery companyIdNotList(List<Long> companyIdNotList){
        this.companyIdNotList = companyIdNotList;
        return this;
    }


    /**
     * 设置 知识产权类型
     * @param intellectPropertyType
     */
    public CompanyPatentQuery intellectPropertyType(String intellectPropertyType){
        setIntellectPropertyType(intellectPropertyType);
        return this;
    }

    /**
     * 设置 知识产权类型
     * @param intellectPropertyTypeList
     */
    public CompanyPatentQuery intellectPropertyTypeList(List<String> intellectPropertyTypeList){
        this.intellectPropertyTypeList = intellectPropertyTypeList;
        return this;
    }

    /**
     * 设置  知识产权数量
     * @param intellectPropertyNum
     */
    public CompanyPatentQuery intellectPropertyNum(Integer intellectPropertyNum){
        setIntellectPropertyNum(intellectPropertyNum);
        return this;
    }

    /**
     * 设置 开始 知识产权数量
     * @param intellectPropertyNumStart
     */
    public CompanyPatentQuery intellectPropertyNumStart(Integer intellectPropertyNumStart){
        this.intellectPropertyNumStart = intellectPropertyNumStart;
        return this;
    }

    /**
     * 设置 结束 知识产权数量
     * @param intellectPropertyNumEnd
     */
    public CompanyPatentQuery intellectPropertyNumEnd(Integer intellectPropertyNumEnd){
        this.intellectPropertyNumEnd = intellectPropertyNumEnd;
        return this;
    }

    /**
     * 设置 增加 知识产权数量
     * @param intellectPropertyNumIncrement
     */
    public CompanyPatentQuery intellectPropertyNumIncrement(Integer intellectPropertyNumIncrement){
        this.intellectPropertyNumIncrement = intellectPropertyNumIncrement;
        return this;
    }

    /**
     * 设置 知识产权数量
     * @param intellectPropertyNumList
     */
    public CompanyPatentQuery intellectPropertyNumList(List<Integer> intellectPropertyNumList){
        this.intellectPropertyNumList = intellectPropertyNumList;
        return this;
    }

    /**
     * 设置 知识产权数量
     * @param intellectPropertyNumNotList
     */
    public CompanyPatentQuery intellectPropertyNumNotList(List<Integer> intellectPropertyNumNotList){
        this.intellectPropertyNumNotList = intellectPropertyNumNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public CompanyPatentQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public CompanyPatentQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public CompanyPatentQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public CompanyPatentQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public CompanyPatentQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public CompanyPatentQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public CompanyPatentQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public CompanyPatentQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public CompanyPatentQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public CompanyPatentQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public CompanyPatentQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public CompanyPatentQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public CompanyPatentQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public CompanyPatentQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }



    /**
     * 设置 公司名称
     * @param companyName
     */
    public CompanyPatentQuery companyName(String companyName){
        setCompanyName(companyName);
        return this;
    }

    /**
     * 设置 公司名称
     * @param companyNameList
     */
    public CompanyPatentQuery companyNameList(List<String> companyNameList){
        this.companyNameList = companyNameList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<CompanyPatentQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<CompanyPatentQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<CompanyPatentQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<CompanyPatentQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}